Bug 191370 - deskutils/gnotime: Fix STAGEDIR support
Summary: deskutils/gnotime: Fix STAGEDIR support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-25 18:40 UTC by tkato432
Modified: 2014-07-18 14:03 UTC (History)
1 user (show)

See Also:


Attachments
deskutils_gnotime.diff (2.75 KB, patch)
2014-06-25 18:40 UTC, tkato432
no flags Details | Diff
Newer patch (2.61 KB, patch)
2014-07-11 10:24 UTC, Guido Falsi
no flags Details | Diff
deskutils_gnotime.diff (2.80 KB, patch)
2014-07-11 17:30 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-06-25 18:40:34 UTC
Created attachment 144123 [details]
deskutils_gnotime.diff

- Fix STAGEDIR support
- Support STRIP properly
- Support libtool USES macro
Comment 1 Guido Falsi freebsd_committer 2014-07-11 10:24:13 UTC
Created attachment 144571 [details]
Newer patch

This is taking long because I have been unable to make this port build reliably in poudriere.

I also disabled MAKE_JOBS, but this has not been enough, from time to time, for a random jail I get a build log which looks like this one here:

http://www.madpilot.net/~mad/gnotime-2.4.1_1.log

I'm still trying to get this port in shape.

I'm adding a patch with what I'm working with right now.
Comment 2 tkato432 2014-07-11 17:30:31 UTC
Created attachment 144580 [details]
deskutils_gnotime.diff
Comment 3 tkato432 2014-07-11 17:40:06 UTC
Oh, it's likely that MAKE_JOBS_UNSAFE is completely ignored at
DO_MAKE_BUILD macro in ports Makefile. The breakage seems to be
disappeared when restoring pre-built target to older state.
Comment 4 Guido Falsi freebsd_committer 2014-07-13 20:30:18 UTC
(In reply to tkato432 from comment #3)
> Oh, it's likely that MAKE_JOBS_UNSAFE is completely ignored at
> DO_MAKE_BUILD macro in ports Makefile. The breakage seems to be
> disappeared when restoring pre-built target to older state.

Good catch, this solved the parallel jobs problem.

Unluckily the build still sometimes misses certain files, in an erratic way. I'll have to dig into the port build system and find where this is happening exactly.

It's happening around 1 in 8 times.

same error as the log I referenced in Comment 1.
Comment 5 commit-hook freebsd_committer 2014-07-18 14:03:32 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jul 18 14:03:05 UTC 2014
New revision: 362208
URL: http://svnweb.freebsd.org/changeset/ports/362208

Log:
  - Strip binaries
  - Convert to USES=libtool

  PR:		191370
  Submitted by:	tkato432@yahoo.com

Changes:
  head/deskutils/gnotime/Makefile
  head/deskutils/gnotime/pkg-plist
Comment 6 Guido Falsi freebsd_committer 2014-07-18 14:03:45 UTC
Committed, with minor changes.

Thanks and sorry if it took so long!